/**
 * Copyright 2022 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

module "apigee-x-instance" {
  source   = "../../../../modules/apigee-x-instance"
  name     = var.name
  region   = var.region
  ip_range = var.ip_range

  apigee_org_id = "my-project"
  apigee_environments = [
    "eval1",
    "eval2"
  ]
  consumer_accept_list = [
    "project1",
    "project2"
  ]
}
